import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Rail: Provide classes to set the background color.*/
        background?: string | undefined;
        /** Rail: Provide classes to set the background color.*/
        border?: string | undefined;
        /** Rail: Provide classes to set the width.*/
        width?: string | undefined;
        /** Rail: Provide classes to set the height.*/
        height?: string | undefined;
        /** Rail: Provide a class to set the grid gap.*/
        gap?: string | undefined;
        /** Rail: Provide arbitrary classes to the lead region.*/
        regionLead?: string | undefined;
        /** Rail: Provide arbitrary classes to the default region.*/
        regionDefault?: string | undefined;
        /** Rail: Provide arbitrary classes to the trail region.*/
        regionTrail?: string | undefined;
        /** Provide classes to set the tile/anchor hover background color.*/
        hover?: string | undefined;
        /** Provide classes to set the tile/anchor active tile background.*/
        active?: string | undefined;
        /** Provide classes to set the tile/anchor vertical spacing.*/
        spacing?: string | undefined;
        /** Provide classes to set the tile/anchor aspect ratio.*/
        aspectRatio?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        lead: {};
        default: {};
        trail: {};
    };
};
export type AppRailProps = typeof __propDef.props;
export type AppRailEvents = typeof __propDef.events;
export type AppRailSlots = typeof __propDef.slots;
/** A vertical navigation rail component. */
export default class AppRail extends SvelteComponentTyped<AppRailProps, AppRailEvents, AppRailSlots> {
}
export {};
