import { SvelteComponentTyped } from "svelte";
import type { PaginationSettings } from './types.js';
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Pass the page setting object.*/
        settings?: PaginationSettings | undefined;
        /** Sets selection and buttons to disabled state on-demand.*/
        disabled?: boolean | undefined;
        /** Show Previous and Next buttons.*/
        showPreviousNextButtons?: boolean | undefined;
        /** Show First and Last buttons.*/
        showFirstLastButtons?: boolean | undefined;
        /** Displays a numeric row of page buttons.*/
        showNumerals?: boolean | undefined;
        /** Maximum number of active page siblings in the numeric row.*/
        maxNumerals?: number | undefined;
        /** Provide classes to set flexbox justification.*/
        justify?: string | undefined;
        /** Provide classes to style the select input.*/
        select?: string | undefined;
        /** Set the text for the amount selection input.*/
        amountText?: string | undefined;
        /** Set the base classes for the control element.*/
        regionControl?: string | undefined;
        /** Provide variant style for the control button group.*/
        controlVariant?: string | undefined;
        /** Provide separator style for the control button group.*/
        controlSeparator?: string | undefined;
        /** Provide arbitrary classes to the active page buttons.*/
        active?: string | undefined;
        /** * Set the base button classes.*/
        buttonClasses?: string | undefined;
        /** Set the label for the Previous button.*/
        buttonTextPrevious?: string | undefined;
        /** Set the label for the Next button.*/
        buttonTextNext?: string | undefined;
        /** Set the label for the First button.*/
        buttonTextFirst?: string | undefined;
        /** Set the label for the Last button.*/
        buttonTextLast?: string | undefined;
        /** Set the label for the pages separator.*/
        separatorText?: string | undefined;
        /** Provide the ARIA label for the First page button.*/
        labelFirst?: string | undefined;
        /** Provide the ARIA label for the Previous page button.*/
        labelPrevious?: string | undefined;
        /** Provide the ARIA label for the Next page button.*/
        labelNext?: string | undefined;
        /** Provide the ARIA label for the Last page button.*/
        labelLast?: string | undefined;
    };
    events: {
        /** {{ length: number }} amount - Fires when the amount selection input changes.*/
        amount: CustomEvent<number>;
        /** {{ page: number }} page Fires when the next/back buttons are pressed.*/
        page: CustomEvent<number>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type PaginatorProps = typeof __propDef.props;
export type PaginatorEvents = typeof __propDef.events;
export type PaginatorSlots = typeof __propDef.slots;
export default class Paginator extends SvelteComponentTyped<PaginatorProps, PaginatorEvents, PaginatorSlots> {
}
export {};
