import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Set the radio group binding value.*/
        group: any;
        /** Set a unique name value for the input.*/
        name: string;
        /** Set the input's value.*/
        value: any;
        /** Provide a hoverable title attribute for the tab.*/
        title?: string | undefined;
        /** Set the ARIA controls value to define which panel this tab controls.*/
        controls?: string | undefined;
        /** Provide arbitrary classes to style the tab region.*/
        regionTab?: string | undefined;
        /** Provide classes to style each tab's active styles.*/
        active?: string | undefined;
        /** Provide classes to style each tab's hover styles.*/
        hover?: string | undefined;
        /** Provide classes to style each tab's flex styles.*/
        flex?: string | undefined;
        /** Provide classes to style each tab's padding styles.*/
        padding?: string | undefined;
        /** Provide classes to style each tab's box radius styles.*/
        rounded?: string | undefined;
        /** Provide classes to set the vertical spacing between items.*/
        spacing?: string | undefined;
    };
    events: {
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        click: MouseEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        lead: {};
        default: {};
    };
};
export type TabProps = typeof __propDef.props;
export type TabEvents = typeof __propDef.events;
export type TabSlots = typeof __propDef.slots;
export default class Tab extends SvelteComponentTyped<TabProps, TabEvents, TabSlots> {
}
export {};
