import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Enables the active state styles when set true.*/
        selected?: boolean | undefined;
        /** Set the ARIA controls value to define which panel this tab controls.*/
        controls?: string | undefined;
        /** Provide classes to style each tab's active styles.*/
        active?: string | undefined;
        /** Provide classes to style each tab's hover styles.*/
        hover?: string | undefined;
        /** Provide classes to style each tab's flex styles.*/
        flex?: string | undefined;
        /** Provide classes to style each tab's padding styles.*/
        padding?: string | undefined;
        /** Provide classes to style each tab's box radius styles.*/
        rounded?: string | undefined;
        /** Provide classes to set the vertical spacing between items.*/
        spacing?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        mouseover: MouseEvent;
        mouseleave: MouseEvent;
        focus: FocusEvent;
        blur: FocusEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        lead: {};
        default: {};
    };
};
export type TabAnchorProps = typeof __propDef.props;
export type TabAnchorEvents = typeof __propDef.events;
export type TabAnchorSlots = typeof __propDef.slots;
export default class TabAnchor extends SvelteComponentTyped<TabAnchorProps, TabAnchorEvents, TabAnchorSlots> {
}
export {};
