import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Provide classes to set the tab list flex justification.*/
        justify?: string | undefined;
        /** Provide classes to set the tab group border styles.*/
        border?: string | undefined;
        /** Provide classes to style each tab's active styles.*/
        active?: string | undefined;
        /** Provide classes to style each tab's hover styles.*/
        hover?: string | undefined;
        /** Provide classes to style each tab's flex styles.*/
        flex?: string | undefined;
        /** Provide classes to style each tab's padding styles.*/
        padding?: string | undefined;
        /** Provide classes to style each tab's box radius styles.*/
        rounded?: string | undefined;
        /** Provide classes to set the vertical spacing between items.*/
        spacing?: string | undefined;
        /** Provide arbitrary classes to style the tab list region.*/
        regionList?: string | undefined;
        /** Provide arbitrary classes to style the tab panel region.*/
        regionPanel?: string | undefined;
        /** Provide the ID of the element that labels the tab list.*/
        labelledby?: string | undefined;
        /** Matches the tab aria-control value, pairs with the panel.*/
        panel?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keypress: KeyboardEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        panel: {};
    };
};
export type TabGroupProps = typeof __propDef.props;
export type TabGroupEvents = typeof __propDef.events;
export type TabGroupSlots = typeof __propDef.slots;
export default class TabGroup extends SvelteComponentTyped<TabGroupProps, TabGroupEvents, TabGroupSlots> {
}
export {};
