import { SvelteComponentTyped } from "svelte";
import type { TreeViewNode } from '../../index.js';
declare const __propDef: {
    props: {
        [x: string]: any;
        /** Enable tree-view selection.*/
        selection?: boolean | undefined;
        /** Enable selection of multiple items.*/
        multiple?: boolean | undefined;
        /** Enable relational checking.*/
        relational?: boolean | undefined;
        /** Provide data-driven nodes.*/
        nodes?: TreeViewNode[] | undefined;
        /** provides id's of expanded nodes*/
        expandedNodes?: string[] | undefined;
        /** provides id's of disabled nodes*/
        disabledNodes?: string[] | undefined;
        /** provides id's of checked nodes*/
        checkedNodes?: string[] | undefined;
        /** provides id's of indeterminate nodes*/
        indeterminateNodes?: string[] | undefined;
        /** Provide classes to set the tree width.*/
        width?: string | undefined;
        /** Provide classes to set the vertical spacing between items.*/
        spacing?: string | undefined;
        /** Set open by default on load.*/
        open?: boolean | undefined;
        /** Set the tree disabled state*/
        disabled?: boolean | undefined;
        /** Provide classes to set the tree item padding styles.*/
        padding?: string | undefined;
        /** Provide classes to set the tree children indentation*/
        indent?: string | undefined;
        /** Provide classes to set the tree item hover styles.*/
        hover?: string | undefined;
        /** Provide classes to set the tree item rounded styles.*/
        rounded?: string | undefined;
        /** Set the rotation of the item caret in the open state.*/
        caretOpen?: string | undefined;
        /** Set the rotation of the item caret in the closed state.*/
        caretClosed?: string | undefined;
        hyphenOpacity?: string | undefined;
        /** Provide arbitrary classes to the tree item summary region.*/
        regionSummary?: string | undefined;
        /** Provide arbitrary classes to the symbol icon region.*/
        regionSymbol?: string | undefined;
        /** Provide arbitrary classes to the children region.*/
        regionChildren?: string | undefined;
        /** Provide the ARIA labelledby value.*/
        labelledby?: string | undefined;
    };
    events: {
        /** {{id:string}} click - Fires on tree item click*/
        click: CustomEvent<any>;
        /** {{id:string}} toggle - Fires on tree item toggle*/
        toggle: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type RecursiveTreeViewProps = typeof __propDef.props;
export type RecursiveTreeViewEvents = typeof __propDef.events;
export type RecursiveTreeViewSlots = typeof __propDef.slots;
export default class RecursiveTreeView extends SvelteComponentTyped<RecursiveTreeViewProps, RecursiveTreeViewEvents, RecursiveTreeViewSlots> {
}
export {};
